/*
 * $Id: BulletmlData.java,v 1.1.1.1 2002/07/07 10:27:57 kenta Exp $
 *
 * Copyright 2002 Kenta Cho. All rights reserved.
 */
package jp.gr.java_conf.abagames.bulletsmorph;

/**
 * BulletML data.
 *
 * @version $Revision: 1.1.1.1 $
 */
public class BulletmlData {
  private static final BulletmlData[] data = {
new BulletmlData(
"[1943]_rolling_fire.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<fire>\n<bulletRef label=\"roll\"/>\n</fire>\n</action>\n\n<bullet label=\"roll\">\n<action>\n<wait>40+$rand*20</wait>\n<changeDirection>\n <direction type=\"relative\">-90</direction>\n <term>4</term>\n</changeDirection>\n<changeSpeed>\n <speed>3</speed>\n <term>4</term>\n</changeSpeed>\n<wait>4</wait>\n<changeDirection>\n <direction type=\"sequence\">15</direction>\n <term>9999</term>\n</changeDirection>\n<wait>80+$rand*40</wait>\n<vanish/>\n</action>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[G_DARIUS]_homing_laser.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"horizontal\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<repeat><times>8</times>\n<action>\n <fire>\n  <direction>-60+$rand*120</direction>\n  <bulletRef label=\"hmgLsr\"/>\n </fire>\n <repeat><times>8</times>\n <action>\n  <wait>1</wait>\n  <fire>\n   <direction type=\"sequence\">0</direction>\n   <bulletRef label=\"hmgLsr\"/>\n  </fire>\n </action>\n </repeat>\n <wait>10</wait>\n</action>\n</repeat>\n</action>\n\n<bullet label=\"hmgLsr\">\n<speed>2</speed>\n<action>\n<changeSpeed>\n <speed>0.3</speed>\n <term>30</term>\n</changeSpeed>\n<wait>100</wait>\n<changeSpeed>\n <speed>5</speed>\n <term>100</term>\n</changeSpeed>\n</action>\n<action>\n<repeat><times>99</times>\n<action>\n <changeDirection>\n  <direction type=\"aim\">0</direction>\n  <term>60-$rank*20</term>\n </changeDirection>\n <wait>5</wait>\n</action>\n</repeat>\n</action>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[Guwange]_round_2_boss_circle_fire.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<fire label=\"circle\">\n<direction type=\"sequence\">$1</direction>\n<speed>6</speed>\n<bullet>\n<action>\n <wait>3</wait>\n <fire>\n  <direction type=\"absolute\">$2</direction>\n  <speed>1.5+$rank</speed>\n  <bullet/>\n </fire>\n <vanish/>\n</action>\n</bullet>\n</fire>\n\n<action label=\"fireCircle\">\n<repeat> <times>18</times>\n<action>\n<fireRef label=\"circle\">\n <param>20</param>\n <param>$1</param>\n</fireRef>\n</action>\n</repeat>\n</action>\n\n<action label=\"top\">\n<actionRef label=\"fireCircle\">\n <param>180-45+90*$rand</param>\n</actionRef>\n</action>\n\n</bulletml>\n"
),
new BulletmlData(
"[Guwange]_round_3_boss_fast_3way.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<repeat> <times>6+$rank*8</times>\n<action>\n<fire>\n <direction>$rand*360</direction>\n <speed>5</speed>\n <bulletRef label=\"seed\">\n  <param>5+$rand*10</param>\n </bulletRef>\n</fire>\n<wait>20</wait>\n</action>\n</repeat>\n</action>\n\n<bullet label=\"seed\">\n<action>\n<changeSpeed>\n <speed>0</speed>\n <term>$1</term>\n</changeSpeed>\n<wait>$1</wait>\n<fire>\n <direction type=\"aim\">-20</direction>\n <bulletRef label=\"3way\"/>\n</fire>\n<repeat> <times>2</times>\n<action>\n <fire>\n  <direction type=\"sequence\">20</direction>\n  <bulletRef label=\"3way\"/>\n </fire>\n</action>\n</repeat>\n<wait>1</wait>\n<repeat> <times>2</times>\n<action>\n <fire>\n  <direction type=\"sequence\">0</direction>\n  <speed type=\"sequence\">-0.1</speed>\n  <bulletRef label=\"3way\"/>\n </fire>\n <repeat> <times>2</times>\n <action>\n  <fire>\n   <direction type=\"sequence\">-20</direction>\n   <speed type=\"sequence\">0</speed>\n   <bulletRef label=\"3way\"/>\n  </fire>\n </action>\n </repeat>\n <wait>1</wait>\n <fire>\n  <direction type=\"sequence\">0</direction>\n  <speed type=\"sequence\">-0.1</speed>\n  <bulletRef label=\"3way\"/>\n </fire>\n <repeat> <times>2</times>\n <action>\n  <fire>\n   <direction type=\"sequence\">20</direction>\n   <speed type=\"sequence\">0</speed>\n   <bulletRef label=\"3way\"/>\n  </fire>\n </action>\n </repeat>\n <wait>1</wait>\n</action>\n</repeat>\n</action>\n</bullet>\n\n<bullet label=\"3way\">\n<speed>1.8</speed>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[Guwange]_round_4_boss_eye_ball.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<repeat> <times>4+$rank*4</times>\n<action>\n <fire>\n  <direction>$rand*360</direction>\n  <bulletRef label=\"eye\"/>\n </fire>\n <wait>30</wait>\n</action>\n</repeat>\n</action>\n\n<bullet label=\"eye\">\n<speed>0</speed>\n<action>\n<changeSpeed>\n <speed>10</speed>\n <term>400</term>\n</changeSpeed>\n<changeDirection>\n <direction type=\"sequence\">$rand*5-2</direction>\n <term>9999</term>\n</changeDirection>\n<repeat> <times>99</times>\n<action>\n <fire>\n  <direction type=\"relative\">0</direction>\n  <bulletRef label=\"shadow\"/>\n </fire>\n <wait>4</wait>\n</action>\n</repeat>\n</action>\n</bullet>\n\n<bullet label=\"shadow\">\n<speed>0</speed>\n<action>\n<wait>20</wait>\n<fire>\n <direction type=\"relative\">90</direction>\n <speed>0.6</speed>\n <bullet/>\n</fire>\n<fire>\n <direction type=\"relative\">-90</direction>\n <speed>0.6</speed>\n <bullet/>\n</fire>\n<vanish/>\n</action>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[Ikaruga]_drc.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<repeat> <times>32</times>\n<action>\n <fire>\n  <direction type=\"aim\">$rand*60-30</direction>\n  <speed>0.6</speed>\n  <bullet/>\n </fire>\n <wait>80-$rank*32</wait>\n</action>\n</repeat>\n</action>\n\n</bulletml>\n"
),
new BulletmlData(
"[Ikaruga]_drc2.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<repeat> <times>32</times>\n<action>\n <repeat> <times>8</times>\n <action>\n  <fire>\n   <direction type=\"aim\">$rand*20-10</direction>\n   <speed>0.6+$rand*0.06</speed>\n   <bullet/>\n  </fire>\n </action>\n </repeat> \n <wait>200-$rank*40</wait>\n</action>\n</repeat>\n</action>\n\n</bulletml>\n"
),
new BulletmlData(
"[Ikaruga]_drc3.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<repeat> <times>16+$rank*64</times>\n<action>\n <fire>\n  <direction type=\"aim\">$rand*90-45</direction>\n  <speed>0.6</speed>\n  <bullet/>\n </fire>\n <wait>50-$rank*40</wait>\n</action>\n</repeat>\n</action>\n\n</bulletml>\n"
),
new BulletmlData(
"[Ikaruga]_hrm_d2.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n <fire>\n  <direction type=\"absolute\">180</direction>\n  <speed>0.9</speed>\n  <bulletRef label=\"hrm_lsr\"/>\n </fire>\n</action>\n\n<bullet label=\"hrm_lsr\">\n<action>\n <repeat><times>40</times>\n <action>\n  <changeDirection>\n   <direction type=\"aim\">0</direction>\n   <term>30-$rank*20</term>\n  </changeDirection>\n  <wait>5</wait>\n </action>\n </repeat>\n</action>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[Ikaruga]_r1_mdl.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n <repeat> <times>2</times>\n <action>\n  <fire>\n   <direction type=\"aim\">-60</direction>\n   <bulletRef label=\"arc\"/>\n  </fire>\n  <repeat> <times>4</times>\n  <action>\n   <fire>\n    <direction type=\"sequence\">30</direction>\n    <bulletRef label=\"arc\"/>\n   </fire>\n  </action>\n  </repeat> \n  <wait>120</wait>\n </action>\n </repeat>\n\n <fire>\n  <direction type=\"aim\">-60</direction>\n  <speed type=\"absolute\">0.9</speed>\n  <bullet/>\n </fire>\n <repeat> <times>4</times>\n <action>\n  <fire>\n   <direction type=\"sequence\">30</direction>\n   <speed type=\"relative\">0</speed>\n   <bullet/>\n  </fire>\n </action>\n </repeat>\n <wait>4</wait>\n <repeat> <times>3+$rank*6</times>\n  <action>\n  <fire>\n   <direction type=\"aim\">-60</direction>\n   <speed type=\"relative\">0.3</speed>\n   <bullet/>\n  </fire>\n  <repeat> <times>4</times>\n  <action>\n   <fire>\n    <direction type=\"sequence\">30</direction>\n    <speed type=\"relative\">0</speed>\n    <bullet/>\n   </fire>\n  </action>\n  </repeat>\n  <wait>4</wait>\n </action>\n </repeat>\n <wait>120</wait>\n <vanish/>\n</action>\n\n<bullet label=\"arc\">\n <action>\n  <fire>\n   <direction type=\"relative\">-5-$rank*10</direction>\n   <bulletRef label=\"nml\"/>\n  </fire>\n  <repeat> <times>4+$rank*8</times>\n  <action>\n   <fire>\n    <direction type=\"sequence\">2.5</direction>\n    <bulletRef label=\"nml\"/>\n   </fire>\n  </action>\n  </repeat>\n <vanish/>\n </action>\n</bullet>\n\n<bullet label=\"nml\">\n <speed>0.9</speed>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[Ikaruga]_r3_mdl_3.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n <fire>\n  <direction type=\"absolute\">180</direction>\n  <speed>6</speed>\n  <bulletRef label=\"center_1\"/>\n </fire>\n <vanish/>\n</action>\n\n<bullet label=\"center_1\">\n<action>\n <wait>1</wait>\n <changeSpeed>\n  <speed>0</speed>\n  <term>1</term>\n </changeSpeed>\n <repeat> <times>10</times>\n <action>\n  <repeat> <times>1+$rank*4</times>\n  <action>\n   <fire>\n    <speed>0.9</speed>\n    <bullet/>\n   </fire>\n   <wait>7</wait>\n  </action>\n  </repeat>\n  <wait>70-7-$rank*28</wait>\n </action>\n </repeat>\n <vanish/>\n</action>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[Ikaruga]_r3_mdl_4.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n <fire>\n  <direction type=\"absolute\">180</direction>\n  <speed>6</speed>\n  <bulletRef label=\"center_2\"/>\n </fire>\n <vanish/>\n</action>\n\n<bullet label=\"center_2\">\n<action>\n <wait>1</wait>\n <changeSpeed>\n  <speed>0</speed>\n  <term>1</term>\n </changeSpeed>\n <wait>35</wait>\n <repeat> <times>10</times>\n <action>\n  <repeat> <times>1+$rank*4</times>\n  <action>\n   <fire>\n    <speed>0.9</speed>\n    <bullet/>\n   </fire>\n   <wait>7</wait>\n  </action>\n  </repeat>\n  <wait>70-7-$rank*28</wait>\n </action>\n </repeat>\n <vanish/>\n</action>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[Ikaruga]_r5_vrp.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n <fire>\n  <bulletRef label=\"body\"/>\n </fire>\n <vanish/>\n</action>\n\n<bullet label=\"body\">\n <speed>0</speed>\n <action>\n  <accel>\n   <horizontal>$rand*0.02-0.01</horizontal>\n   <vertical>1.5</vertical>\n   <term>1</term>\n  </accel>\n  <wait>1</wait>\n  <accel>\n   <vertical>-1.5</vertical>\n   <term>60</term>\n  </accel>\n  <repeat> <times>16</times>\n  <action>\n   <fire>\n    <direction type=\"absolute\">180</direction>\n    <speed>1.5</speed>\n    <bullet/>\n   </fire>\n   <wait>6</wait>\n  </action>\n  </repeat>\n  <vanish/>\n </action>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[Ikaruga]_raf_b.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<fire>\n <direction type=\"relative\">0</direction>\n <bulletRef label=\"round\"/>\n</fire>\n<repeat> <times>256</times>\n<action>\n <fire>\n  <direction type=\"sequence\">2+6*$rank</direction>\n  <bulletRef label=\"round\"/>\n </fire>\n <wait>12</wait>\n</action>\n</repeat>\n\n<wait>150</wait>\n\n<fire>\n <direction type=\"relative\">0</direction>\n <bulletRef label=\"round2\"/>\n</fire>\n<repeat> <times>192</times>\n<action>\n <fire>\n  <direction type=\"sequence\">2+6*$rank</direction>\n  <bulletRef label=\"round2\"/>\n </fire>\n <wait>8</wait>\n</action>\n</repeat>\n</action>\n\n<bullet label=\"round\">\n <speed>0.6</speed>\n</bullet>\n\n<bullet label=\"round2\">\n <speed>1.05</speed>\n</bullet>\n\n</bulletml>\n\n"
),
new BulletmlData(
"[Ikaruga]_raf_w.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<repeat> <times>256</times>\n<action>\n <fire>\n  <direction type=\"relative\">0</direction>\n  <bulletRef label=\"round\"/>\n </fire>\n <wait>12</wait>\n</action>\n</repeat>\n\n<wait>150</wait>\n\n<repeat> <times>192</times>\n<action>\n <fire>\n  <direction type=\"relative\">0</direction>\n  <bulletRef label=\"round2\"/>\n </fire>\n <wait>8</wait>\n</action>\n</repeat>\n</action>\n\n<bullet label=\"round\">\n <speed>0.6</speed>\n</bullet>\n\n<bullet label=\"round2\">\n <speed>1.05</speed>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[Ikaruga]_rf_l.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<fire>\n <direction type=\"relative\">0</direction>\n <bulletRef label=\"round\"/>\n</fire>\n<repeat> <times>99</times>\n<action>\n <fire>\n  <direction type=\"sequence\">90+2+4*$rank</direction>\n  <bulletRef label=\"round\"/>\n </fire>\n <repeat> <times>3</times>\n <action>\n  <fire>\n   <direction type=\"sequence\">90</direction>\n  <bulletRef label=\"round\"/>\n  </fire>\n </action>\n </repeat> \n <wait>8</wait>\n</action>\n</repeat>\n</action>\n\n<bullet label=\"round\">\n <speed>0.9</speed>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[Ikaruga]_rf_r.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<fire>\n <direction type=\"relative\">0</direction>\n <bulletRef label=\"round\"/>\n</fire>\n<repeat> <times>99</times>\n<action>\n <fire>\n  <direction type=\"sequence\">90-2-4*$rank</direction>\n  <bulletRef label=\"round\"/>\n </fire>\n <repeat> <times>3</times>\n <action>\n  <fire>\n   <direction type=\"sequence\">90</direction>\n  <bulletRef label=\"round\"/>\n  </fire>\n </action>\n </repeat> \n <wait>8</wait>\n</action>\n</repeat>\n</action>\n\n<bullet label=\"round\">\n <speed>0.9</speed>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[Ikaruga]_wl_l.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n <repeat> <times>48</times>\n <action>\n  <fire>\n   <direction type=\"absolute\">-90</direction>\n   <speed>3</speed>\n   <bullet/>\n  </fire>\n  <wait>4</wait>\n </action>\n </repeat>\n <vanish/>\n</action>\n\n</bulletml>\n"
),
new BulletmlData(
"[Ikaruga]_wl_r.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n <repeat> <times>48</times>\n <action>\n  <fire>\n   <direction type=\"absolute\">90</direction>\n   <speed>3</speed>\n   <bullet/>\n  </fire>\n  <wait>4</wait>\n </action>\n </repeat>\n <vanish/>\n</action>\n\n</bulletml>\n"
),
new BulletmlData(
"[Ikaruga]_wnd_l.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<fire>\n <direction type=\"relative\">0</direction>\n <bulletRef label=\"winder\"/>\n</fire>\n<repeat> <times>220</times>\n<action>\n <fire>\n  <direction type=\"sequence\">22.5+0.2+0.4*$rank</direction>\n  <bulletRef label=\"winder\"/>\n </fire>\n <repeat> <times>15</times>\n <action>\n  <fire>\n   <direction type=\"sequence\">22.5</direction>\n  <bulletRef label=\"winder\"/>\n  </fire>\n </action>\n </repeat> \n <wait>8</wait>\n</action>\n</repeat>\n</action>\n\n<bullet label=\"winder\">\n <speed>3</speed>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[Ikaruga]_wnd_r.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<fire>\n <direction type=\"relative\">0</direction>\n <bulletRef label=\"winder\"/>\n</fire>\n<repeat> <times>220</times>\n<action>\n <fire>\n  <direction type=\"sequence\">22.5-0.2-0.4*$rank</direction>\n  <bulletRef label=\"winder\"/>\n </fire>\n <repeat> <times>15</times>\n <action>\n  <fire>\n   <direction type=\"sequence\">22.5</direction>\n  <bulletRef label=\"winder\"/>\n  </fire>\n </action>\n </repeat> \n <wait>8</wait>\n</action>\n</repeat>\n</action>\n\n<bullet label=\"winder\">\n <speed>3</speed>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[Progear]_round_1_boss_grow_bullets.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<fire>\n <direction type=\"absolute\">180-(4+$rank*6)*15/2</direction>\n <bulletRef label=\"seed\"/>\n</fire>\n<repeat><times>4+$rank*6</times>\n<action>\n <fire>\n  <direction type=\"sequence\">15</direction>\n  <bulletRef label=\"seed\"/>\n </fire>\n</action>\n</repeat>\n</action>\n\n<bullet label=\"seed\">\n<speed>1.2</speed>\n<action>\n<changeSpeed>\n <speed>0</speed>\n <term>60</term>\n</changeSpeed>\n<wait>60</wait>\n<fire>\n <speed>0.75</speed>\n <bullet/>\n</fire>\n<repeat><times>4+$rank*4</times>\n<action>\n <fire>\n  <speed type=\"sequence\">0.15</speed>\n  <bullet/>\n </fire>\n</action>\n</repeat>\n<vanish/>\n</action>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[Progear]_round_2_boss_struggling.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<repeat> <times>100</times>\n<action>\n <fire>\n  <direction type=\"sequence\">180</direction>\n  <bulletRef label=\"changeStraight\"/>\n </fire>\n <fire>\n  <direction type=\"sequence\">160</direction>\n  <bulletRef label=\"changeStraight\"/>\n </fire>\n <wait>2</wait>\n</action>\n</repeat>\n</action>\n\n<bullet label=\"changeStraight\">\n<speed>0.6</speed>\n<action>\n<wait>20+$rand*100</wait>\n<changeDirection>\n <direction type=\"absolute\">180</direction>\n <term>60</term>\n</changeDirection>\n<changeSpeed>\n <speed>0</speed>\n <term>40</term>\n</changeSpeed>\n<wait>40</wait>\n<changeSpeed>\n <speed>0.5+$rand*0.7</speed>\n <term>20</term>\n</changeSpeed>\n</action>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[Progear]_round_3_boss_back_burst.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<repeat> <times>100</times>\n<action>\n <fire>\n  <direction type=\"absolute\">130+$rand*100</direction>\n  <bulletRef label=\"backBurst\"/>\n </fire>\n <wait>6-$rank*2</wait>\n</action>\n</repeat>\n</action>\n\n<bullet label=\"backBurst\">\n<speed>1.2</speed>\n<action>\n<changeSpeed>\n <speed>0</speed>\n <term>80</term>\n</changeSpeed>\n<wait>60+$rand*20</wait>\n<repeat> <times>2</times>\n<action>\n <fire>\n <direction type=\"absolute\">-40+$rand*80</direction>\n <bulletRef label=\"downAccel\"/>\n </fire>\n</action>\n</repeat>\n<vanish/>\n</action>\n</bullet>\n\n<bullet label=\"downAccel\">\n<speed>1.8</speed>\n<action>\n<accel>\n <vertical>7</vertical>\n <term>250</term>\n</accel>\n</action>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[Progear]_round_3_boss_wave_bullets.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"horizontal\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<repeat><times>32</times>\n<action>\n <fire>\n  <direction type=\"absolute\">230</direction>\n  <bulletRef label=\"wave\">\n   <param>-3</param>\n  </bulletRef>\n </fire>\n <wait>30</wait>\n <fire>\n  <direction type=\"absolute\">130</direction>\n  <bulletRef label=\"wave\">\n   <param>3</param>\n  </bulletRef>\n </fire>\n <wait>30</wait>\n</action>\n</repeat>\n</action>\n\n<bullet label=\"wave\">\n<speed>1</speed>\n<action>\n<fire>\n <direction>0</direction>\n <bulletRef label=\"nrm\"/>\n</fire>\n<repeat><times>8+$rank*10</times>\n<action>\n <fire>\n  <direction type=\"sequence\">$1</direction>\n  <bulletRef label=\"nrm\"/>\n </fire>\n <wait>3</wait>\n</action>\n</repeat>\n<vanish/>\n</action>\n</bullet>\n\n<bullet label=\"nrm\">\n<speed>1</speed>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[Progear]_round_5_boss_last_round_wave.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<repeat><times>2+$rank*1.5</times>\n<action>\n <fire>\n  <bulletRef label=\"rfRkt\"/>\n </fire>\n <wait>45</wait>\n</action>\n</repeat>\n<wait>60</wait>\n</action>\n\n<bullet label=\"rfRkt\">\n<action>\n<repeat><times>99</times>\n<action>\n <wait>1</wait>\n <fire>\n  <direction type=\"sequence\">13</direction>\n  <bullet/>\n </fire>\n</action>\n</repeat>\n</action>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[Progear]_round_5_middle_boss_rockets.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<repeat><times>50</times>\n<action>\n <fire>\n  <direction type=\"absolute\">180</direction>\n  <bulletRef label=\"rocket\"/>\n </fire>\n <wait>10</wait>\n</action>\n</repeat>\n</action>\n\n<bullet label=\"rocket\">\n<action>\n<repeat><times>99</times>\n<action>\n <fireRef label=\"udBlt\">\n  <param>90</param>\n </fireRef>\n <wait>20-$rank*8</wait>\n <fireRef label=\"udBlt\">\n  <param>-90</param>\n </fireRef>\n <wait>20-$rank*8</wait>\n</action>\n</repeat>\n</action>\n</bullet>\n\n<fire label=\"udBlt\">\n<direction type=\"relative\">$1-25+$rand*50</direction>\n<bullet/>\n</fire>\n\n</bulletml>\n"
),
new BulletmlData(
"[Progear]_round_6_boss_parabola_shot.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<repeat><times>30</times>\n<action>\n <fire>\n  <direction type=\"absolute\">100+$rand*30</direction>\n  <bulletRef label=\"seed\"/>\n </fire>\n <wait>15-$rank*5</wait>\n</action>\n</repeat>\n</action>\n\n<bullet label=\"seed\">\n<speed>1</speed>\n<action>\n<changeSpeed>\n <speed>0</speed>\n <term>60</term>\n</changeSpeed>\n<wait>60</wait>\n<fire><bullet/></fire>\n<fire>\n <direction type=\"absolute\">240+$rand*25</direction>\n <bulletRef label=\"downAccel\"/>\n</fire>\n<repeat> <times>3</times>\n<action>\n <fire>\n  <direction type=\"sequence\">0</direction>\n  <speed type=\"sequence\">-0.4</speed>\n  <bulletRef label=\"downAccel\"/>\n </fire>\n</action>\n</repeat>\n<vanish/>\n</action>\n</bullet>\n\n<bullet label=\"downAccel\">\n<speed>2</speed>\n<action>\n<accel>\n <horizontal>3</horizontal>\n <term>120</term>\n</accel>\n</action>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[Psyvariar]_X-A_boss_opening.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<repeat> <times>100</times>\n<action>\n <fire>\n  <direction>-45+$rand*90</direction>\n  <speed>0.4+$rand*0.8</speed>\n  <bullet/>\n </fire>\n <wait>2</wait>\n</action>\n</repeat>\n</action>\n\n</bulletml>\n"
),
new BulletmlData(
"[Psyvariar]_X-A_boss_winder.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<bullet label=\"winderBullet\">\n <speed>3</speed>\n</bullet>\n\n<fire label=\"fireWinder\">\n <direction type=\"sequence\">$1</direction>\n <bulletRef label=\"winderBullet\"/>\n</fire>\n\n<action label=\"roundWinder\">\n <fireRef label=\"fireWinder\">\n  <param>$1</param>\n </fireRef>\n <repeat> <times>11</times>\n <action>\n  <fireRef label=\"fireWinder\">\n   <param>30</param>\n  </fireRef>\n </action>\n </repeat>\n <wait>5</wait>\n</action>\n\n<action label=\"winderSequence\">\n<repeat> <times>12</times>\n<actionRef label=\"roundWinder\">\n <param>30</param>\n</actionRef>\n</repeat>\n<repeat> <times>12</times>\n<actionRef label=\"roundWinder\">\n <param>$1</param>\n</actionRef>\n</repeat>\n<repeat> <times>12</times>\n<actionRef label=\"roundWinder\">\n <param>30</param>\n</actionRef>\n</repeat>\n</action>\n\n<action label=\"top1\">\n<fire>\n <direction type=\"absolute\">2</direction>\n <bulletRef label=\"winderBullet\"/>\n</fire>\n<actionRef label=\"winderSequence\">\n <param>31</param>\n</actionRef>\n</action>\n\n\n<action label=\"top2\">\n<fire>\n <direction type=\"absolute\">-2</direction>\n <bulletRef label=\"winderBullet\"/>\n</fire>\n<actionRef label=\"winderSequence\">\n <param>29</param>\n</actionRef>\n</action>\n\n</bulletml>\n"
),
new BulletmlData(
"[Psyvariar]_X-B_colony_shape_satellite.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n<repeat><times>5</times>\n<action>\n <fire>\n  <direction type=\"absolute\">152</direction>\n  <bulletRef label=\"norm\"/>\n </fire>\n <repeat><times>8</times>\n <action>\n  <fire>\n   <direction type=\"sequence\">7</direction>\n   <bulletRef label=\"norm\"/>\n  </fire>\n </action>\n </repeat>\n <wait>8</wait>\n</action>\n</repeat>\n<wait>10</wait>\n<repeat><times>7</times>\n<action>\n <fire>\n  <direction type=\"absolute\">180-45+$rand*90</direction>\n  <bulletRef label=\"norm\"/>\n </fire>\n <repeat><times>4</times>\n <action>\n  <fire>\n   <direction type=\"sequence\">0</direction>\n   <speed>1.5</speed>\n   <bulletRef label=\"norm\"/>\n  </fire>\n  <wait>4</wait>\n </action>\n </repeat>\n</action>\n</repeat>\n<wait>10</wait>\n<repeat><times>12</times>\n<action>\n <fire>\n  <direction>0</direction>\n  <speed>2</speed>\n  <bulletRef label=\"norm\"/>\n </fire>\n <wait>6</wait>\n</action>\n</repeat>\n</action>\n\n<bullet label=\"norm\">\n<speed>1</speed>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[daiouzyou]_r1_boss_1.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n <repeat> <times>24</times>\n <action>\n  <wait>5</wait>\n  <actionRef label=\"four\">\n   <param>$rand*90+135</param>\n  </actionRef>\n </action>\n </repeat>\n</action>\n\n<action label=\"four\">\n <fire>\n  <direction type=\"absolute\">90</direction>\n  <speed>6</speed>\n  <bulletRef label=\"rb\">\n   <param>$1</param>\n  </bulletRef>\n </fire>\n <repeat> <times>3</times>\n <action>\n  <fire>\n   <direction type=\"sequence\">60</direction>\n   <speed>6</speed>\n   <bulletRef label=\"rb\">\n    <param>$1</param>\n   </bulletRef>\n  </fire>\n </action>\n </repeat>\n</action>\n\n<bullet label=\"rb\">\n <actionRef label=\"red\">\n  <param>$1+$rand*20-10</param>\n </actionRef>\n</bullet>\n\n<action label=\"red\">\n <wait>1</wait>\n <fire>\n  <direction type=\"absolute\">$1</direction>\n  <speed>1.2+$rank</speed>\n  <bullet/>\n </fire>\n <vanish/>\n</action>\n\n</bulletml>\n"
),
new BulletmlData(
"[daiouzyou]_r1_boss_2.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n <fire>\n  <direction type=\"absolute\">90</direction>\n  <bulletRef label=\"bl_seed\"/>\n </fire>\n <fire>\n  <direction type=\"absolute\">270</direction>\n  <bulletRef label=\"bl_seed\"/>\n </fire>\n <wait>25</wait>\n</action>\n\n<bullet label=\"bl_seed\">\n<speed>24</speed>\n<action>\n <wait>1</wait>\n <fire>\n  <bullet>\n   <speed>0</speed>\n   <actionRef label=\"bl\"/>\n  </bullet>\n </fire>\n <vanish/>\n</action>\n</bullet>\n\n<action label=\"bl\">\n <fire>\n  <direction type=\"aim\">-30</direction>\n  <speed type=\"absolute\">1</speed>\n  <bullet/>\n </fire>\n <repeat> <times>2</times>\n <action>\n  <fire>\n   <direction type=\"sequence\">30</direction>\n   <speed type=\"relative\">0</speed>\n   <bullet/>\n  </fire>\n </action>\n </repeat>\n <wait>4</wait>\n <repeat> <times>3+$rank*6</times>\n  <action>\n  <fire>\n   <direction type=\"aim\">-30</direction>\n   <speed type=\"relative\">0.4</speed>\n   <bullet/>\n  </fire>\n  <repeat> <times>2</times>\n  <action>\n   <fire>\n    <direction type=\"sequence\">30</direction>\n    <speed type=\"relative\">0</speed>\n    <bullet/>\n   </fire>\n  </action>\n  </repeat>\n  <wait>4</wait>\n </action>\n </repeat>\n <vanish/>\n</action>\n\n</bulletml>\n"
),
new BulletmlData(
"[daiouzyou]_r1_boss_3.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n <fire>\n  <direction type=\"absolute\">270</direction>\n  <bulletRef label=\"bm_seed\"/>\n </fire>\n <wait>20</wait>\n <fire>\n  <direction type=\"absolute\">90</direction>\n  <bulletRef label=\"bm_seed\"/>\n </fire>\n <wait>32</wait>\n</action>\n\n<bullet label=\"bm_seed\">\n<speed>24</speed>\n<action>\n <wait>1</wait>\n <fire>\n  <bullet>\n   <direction type=\"absolute\">180</direction>\n   <speed>2</speed>\n   <actionRef label=\"bm\"/>\n  </bullet>\n </fire>\n <vanish/>\n</action>\n</bullet>\n\n<action label=\"bm\">\n <changeSpeed>\n  <speed>0</speed>\n  <term>50</term>\n </changeSpeed>\n <wait>45</wait>\n <fire>\n  <bulletRef label=\"round\">\n   <param>1.1</param>\n   <param>0</param>\n  </bulletRef>\n </fire>\n <fire>\n  <bulletRef label=\"round\">\n   <param>0.9</param>\n   <param>7</param>\n  </bulletRef>\n </fire>\n <fire>\n  <bulletRef label=\"round\">\n   <param>0.7</param>\n   <param>14</param>\n  </bulletRef>\n </fire>\n <vanish/>\n</action>\n \n<bullet label=\"round\">\n<speed>0</speed>\n<action>\n <fire>\n  <direction type=\"absolute\">$2</direction>\n  <speed>$1</speed>\n  <bullet/>\n </fire>\n <repeat> <times>15</times>\n <action>\n  <fire>\n   <direction type=\"sequence\">22.5</direction>\n   <speed>$1</speed>\n   <bullet/>\n  </fire>\n </action>\n </repeat>\n <vanish/>\n</action>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[daiouzyou]_r1_boss_4.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n <fire>\n  <bulletRef label=\"round_seed\"/>\n </fire>\n <fire>\n  <bulletRef label=\"sht\">\n   <param>0.8</param>\n  </bulletRef>\n </fire>\n <wait>120</wait>\n <fire>\n  <bulletRef label=\"round_seed\"/>\n </fire>\n <fire>\n  <bulletRef label=\"sht\">\n   <param>1.0</param>\n  </bulletRef>\n </fire>\n <wait>120</wait>\n <fire>\n  <bulletRef label=\"round_seed\"/>\n </fire>\n <fire>\n  <bulletRef label=\"sht\">\n   <param>1.2</param>\n  </bulletRef>\n </fire>\n <wait>25</wait>\n</action>\n\n<bullet label=\"sht\">\n<action>\n <repeat> <times>16</times>\n <action>\n  <fire>\n   <direction>$rand*16-8</direction>\n   <speed>$1+$rand*$1</speed>\n   <bullet/>\n  </fire>\n </action>\n </repeat>\n <vanish/>\n</action>\n</bullet>\n\n<bullet label=\"round_seed\">\n<speed>0</speed>\n<action>\n <fire>\n  <direction>0</direction>\n  <bulletRef label=\"two\"/>\n </fire>\n <repeat> <times>15</times>\n <action>\n  <fire>\n   <direction type=\"sequence\">22.5</direction>\n   <bulletRef label=\"two\"/>\n  </fire>\n </action>\n </repeat>\n <vanish/>\n</action>\n</bullet>\n\n<bullet label=\"two\">\n<action>\n <fire>\n  <direction type=\"relative\">-4</direction>\n  <speed>0.8</speed>\n  <bullet/>\n </fire>\n <fire>\n  <direction type=\"relative\">4</direction>\n  <speed>0.8</speed>\n  <bullet/>\n </fire>\n <vanish/>\n</action>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[daiouzyou]_r1_boss_5.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n <fire>\n  <direction type=\"absolute\">90</direction>\n  <bulletRef label=\"seed2\"/>\n </fire>\n <fire>\n  <direction type=\"absolute\">270</direction>\n  <bulletRef label=\"seed2\"/>\n </fire>\n <wait>10</wait>\n</action>\n\n<bullet label=\"seed2\">\n<speed>18</speed>\n<action>\n <wait>1</wait>\n <fire>\n  <direction type=\"relative\">90</direction>\n  <bulletRef label=\"seed3\"/>\n </fire>\n <vanish/>\n</action>\n</bullet>\n\n<bullet label=\"seed3\">\n<speed>0</speed>\n<action>\n <wait>90</wait>\n <changeSpeed>\n  <speed>0.8</speed>\n  <term>10</term>\n </changeSpeed>\n <wait>5</wait>\n <changeDirection>\n  <direction type=\"sequence\">1.2</direction>\n  <term>9999</term>\n </changeDirection>\n</action>\n<action>\n <repeat> <times>112</times>\n <action>\n  <fire>\n   <direction type=\"sequence\">180-10</direction>\n   <bullet/>\n  </fire>\n  <fire>\n   <direction type=\"sequence\">180</direction>\n   <bullet/>\n  </fire>\n  <wait>5</wait>\n </action>\n </repeat>\n</action>\n<action>\n <repeat> <times>5</times>\n <action>\n  <fire>\n   <bulletRef label=\"tw\"/>\n  </fire>\n  <wait>138</wait>\n </action>\n </repeat>\n <vanish/>\n</action>\n</bullet>\n\n<bullet label=\"tw\">\n <action>\n  <fire>\n   <bullet>\n    <direction>-5</direction>\n   </bullet>\n  </fire>\n  <repeat> <times>2</times>\n  <action>\n   <fire>\n    <bullet>\n     <direction type=\"sequence\">5</direction>\n    </bullet>\n   </fire>\n  </action>\n  </repeat>\n <vanish/>\n </action>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"[daiouzyou]_r1_boss_l.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top1\">\n <repeat> <times>128</times>\n <action>\n  <wait>4</wait>\n  <actionRef label=\"four\">\n   <param>$rand*90+135</param>\n  </actionRef>\n </action>\n </repeat>\n</action>\n\n<action label=\"four\">\n <fire>\n  <direction type=\"absolute\">90</direction>\n  <speed>6</speed>\n  <bulletRef label=\"rb\">\n   <param>$1</param>\n  </bulletRef>\n </fire>\n <repeat> <times>3</times>\n <action>\n  <fire>\n   <direction type=\"sequence\">60</direction>\n   <speed>6</speed>\n   <bulletRef label=\"rb\">\n    <param>$1</param>\n   </bulletRef>\n  </fire>\n </action>\n </repeat>\n</action>\n\n<bullet label=\"rb\">\n <actionRef label=\"red\">\n  <param>$1+$rand*20-10</param>\n </actionRef>\n</bullet>\n\n<action label=\"red\">\n <wait>1</wait>\n <fire>\n  <direction type=\"absolute\">$1</direction>\n  <speed>1.2+$rank</speed>\n  <bullet/>\n </fire>\n <vanish/>\n</action>\n\n<action label=\"top2\">\n <repeat> <times>4</times>\n <action>\n  <wait>160</wait>\n  <fire>\n   <bulletRef label=\"sht\">\n    <param>1.2</param>\n   </bulletRef>\n  </fire>\n  <wait>80</wait>\n </action>\n </repeat>\n</action>\n\n<bullet label=\"sht\">\n<action>\n <repeat> <times>16</times>\n <action>\n  <fire>\n   <direction>$rand*16-8</direction>\n   <speed>$1+$rand*$1</speed>\n   <bullet/>\n  </fire>\n </action>\n </repeat>\n <vanish/>\n</action>\n</bullet>\n\n<action label=\"top3\">\n <repeat> <times>4</times>\n <action>\n  <fire>\n   <direction type=\"absolute\">90</direction>\n   <bulletRef label=\"rd_seed\">\n    <param>-5</param>\n    <param>-5</param>\n   </bulletRef>\n  </fire>\n  <fire>\n   <direction type=\"absolute\">270</direction>\n   <bulletRef label=\"rd_seed\">\n    <param>5</param>\n    <param>5</param>\n   </bulletRef>\n  </fire>\n  <wait>240</wait>\n </action>\n </repeat>\n</action>\n\n<bullet label=\"rd_seed\">\n<speed>3</speed>\n<action>\n <wait>1</wait>\n <fire>\n  <speed>0</speed>\n  <bulletRef label=\"rd_seed2\"/>\n </fire>\n <fire>\n  <speed>0</speed>\n  <bulletRef label=\"bd_seed\">\n   <param>0</param>\n   <param>$2</param>\n  </bulletRef>\n </fire>\n <fire>\n  <speed>0</speed>\n  <bulletRef label=\"bd_seed\">\n   <param>$1</param>\n   <param>$2</param>\n  </bulletRef>\n </fire>\n <vanish/>\n</action>\n</bullet>\n\n<bullet label=\"rd_seed2\">\n<action>\n <repeat> <times>5</times>\n <action>\n  <repeat> <times>3</times>\n  <action>\n   <fire>\n    <direction type=\"absolute\">180</direction>\n    <speed>1.2</speed>\n    <bullet/>\n   </fire>\n   <wait>4</wait>\n  </action>\n  </repeat>\n <wait>12</wait>\n </action>\n </repeat>\n <vanish/>\n</action>\n</bullet>\n\n<bullet label=\"bd_seed\">\n<action>\n <fire>\n  <direction>$2</direction>\n  <speed>0.6</speed>\n  <bullet/>\n </fire>\n <repeat> <times>11</times>\n <action>\n  <fire>\n   <direction type=\"sequence\">$1</direction>\n   <speed type=\"sequence\">0.2</speed>\n   <bullet/>\n  </fire>\n  <wait>4</wait>\n </action>\n </repeat>\n <vanish/>\n</action>\n</bullet>\n\n</bulletml>\n"
),
new BulletmlData(
"base.xml",
"<?xml version=\"1.0\" ?>\n<!DOCTYPE bulletml SYSTEM \"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd\">\n\n<bulletml type=\"vertical\"\n          xmlns=\"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml\">\n\n<action label=\"top\">\n</action>\n\n</bulletml>\n"
),
  };

  public static String getContext(String fileName) {
    for ( int i=0 ; i<data.length ; i++ ) {
      if ( data[i].fileName.equals(fileName) ) return data[i].context;
    }
    return null;
  }

  public static final String BASE_FILE_NAME = "base.xml";

  public static String[] getFileNames() {
    String[] fn = new String[data.length-1];
    for ( int i=0 ; i<data.length ; i++ ) {
      if ( data[i].fileName.equals(BASE_FILE_NAME) ) continue;
      fn[i] = data[i].fileName;
    }
    return fn;
  }

  public String fileName, context;

  public BulletmlData(String fileName, String context) {
    this.fileName = fileName;
    this.context = context;
  }
}
